List audit logs
curl --request POST \
--url https://a-char.com/api/v1/audit-logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pageIndex": 1,
"pageSize": 2,
"search": "<string>",
"filters": {
"resourceTypes": [],
"actions": []
}
}
'import requests
url = "https://a-char.com/api/v1/audit-logs"
payload = {
"pageIndex": 1,
"pageSize": 2,
"search": "<string>",
"filters": {
"resourceTypes": [],
"actions": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageIndex: 1,
pageSize: 2,
search: '<string>',
filters: {resourceTypes: [], actions: []}
})
};
fetch('https://a-char.com/api/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "goals",
"resource_action": "create",
"meta_data": "<string>",
"previous_hash": "<string>",
"current_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"created_by": {
"id": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"email": "<string>",
"image_url": "<string>"
}
}
],
"total": 123
}Audit Logs
List audit logs
Paginated audit log entries for the authenticated organization, ordered by most recent first. Supports filtering by resource type and action, and searching by actor name. Requires the audit-logs:read scope.
POST
/
audit-logs
List audit logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json